uniform sampler2D base_tex_unit; // zakladna textura
uniform sampler2D blur_tex_unit; // blur textura

// prenasane udaje
in vec2 uv;

void main(void)
{
 vec4 base=texture(base_tex_unit,uv); // originalna scena
 vec4 blur=texture(blur_tex_unit,uv); // Gaussian blur

 gl_FragColor=base+base.a*(blur-base); // zmiesanie v zavislosti od alfa
}
